/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExecuteActionEvent.as 4934 2009-08-16 16:13:10Z renaultgu $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

import org.ow2.jasmine.monitoring.eos.notification.vo.ActionCallVO;


/**
 * @author Guillaume Renault
 *
 * An ExecuteActionEvent is dispatched an action is triggered from the view.
 */
public class ExecuteActionEvent extends CairngormEvent
{
    
    // ////////////////////////////////////////////////////////////////////////
    // Event types
    // ////////////////////////////////////////////////////////////////////////
    public static var EXECUTE_ACTION : String = "execute";
    
    private var actionCall : ActionCallVO = null;
    
    
    
    public function set action(_action : ActionCallVO) : void
    {
        this.actionCall = _action;
    }
    
    
    
    public function get action() : ActionCallVO
    {
        return this.actionCall;
    }
    
    
    
    /**
     * Creates a new ExecuteActionEvent.
     */
    public function ExecuteActionEvent(type : String)
    {
        super(type);
    }
    
    
    
    /**
     * Overrides the clone function of the CairngormEvent class.
     * returns NotifEvent
     */
    override public function clone() : Event
    {
        return new ExecuteActionEvent(this.type);
    }

}
}
